Bug 979394 - fop: tarball/JAR contains ASL 1.1 licensed files
fop: tarball/JAR contains ASL 1.1 licensed files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fop (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 08:23 EDT by Michal Srb
Modified: 2013-09-18 09:40 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 09:40:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (2.50 KB, patch)
2013-07-02 06:19 EDT, Michal Srb
no flags Details | Diff

  None (edit)
Description Michal Srb 2013-06-28 08:23:28 EDT
Description of problem:

Following files are licensed under ASL 1.1:

src/java/org/apache/fop/render/awt/viewer/resources/Viewer_cs.properties
src/java/org/apache/fop/render/awt/viewer/resources/Viewer_fi.properties
src/java/org/apache/fop/render/awt/viewer/resources/Viewer_ja.properties
src/java/org/apache/fop/render/awt/viewer/resources/Viewer_pl.properties
src/java/org/apache/fop/render/awt/viewer/resources/Viewer_ru.properties
src/java/org/apache/fop/render/awt/viewer/resources/Viewer_tr.properties

These files are also included in JAR. We could either remove them from tarball or fix license tag in spec file. License tag is currently "ASL 2.0".
Comment 1 Michal Srb 2013-07-02 06:19:33 EDT
Created attachment 767678 [details]
patch

- Fix license tag
- Add ASL 1.1 license text
Comment 2 Fedora End Of Life 2013-09-16 10:17:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Mikolaj Izdebski 2013-09-18 09:15:54 EDT
Fixed in fop-1.1-4
Comment 4 Mikolaj Izdebski 2013-09-18 09:40:39 EDT
I believe that this bug is fixed in fop-1.1-4,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=465400

This bug was fixed in the next release of Fedora, and is not planned
to be fixed in the release it was filed against.  If you want this bug
to be fixed in Fedora 20, please say so in a comment.
Otherwise you can update to the newer release of Fedora to get the fix.

Note You need to log in before you can comment on or make changes to this bug.